%averhst - Avereging histogram among +-StepX neighbors
function HstV=averhstl(HstA,StepA,AverMode,AverOutside);

%Outputs:
%HstV - histogram averaged among StepA nearest neighbors

%Inputs:
%HstA - Initial histogram vector.
%StepA - Number of nearest +- neighbors to average.

lA=size(HstA,2);
for n=1:size(HstA,1)
    for i=1:lA
	StepAm=min([StepA,i-1,lA-i]);	%minimal symmetrical averaging
	switch AverMode
	case 1	%mean
	    HstV(n,i)=mean(HstA(n,i-StepAm:i+StepAm));
	    %'mean'
	case 2	%smoothing averaging
	    %'smoothing averaging'
	    if StepAm>0	%smoothing averaging
		SmVect=[];
		SmVect(1:(StepAm+1))=1:(StepAm+1);	%1st part of smoothing vector
		SmVect((StepAm+2):(2*StepAm+1))=StepAm-(0:(StepAm-1));	%2nd part of smoothing vector
		HstV(n,i)=mean(HstA(n,i-StepAm:i+StepAm).*SmVect)/(sum(SmVect)-length(SmVect));
	    else
		HstV(n,i)=mean(HstA(n,i-StepAm:i+StepAm));
	    end
	end
	
    end
end
