%June 1999 M.Matei  matei@univ-lille1.fr
%LAIL University Lille1 France

%Demonstrate the use of the multinormal probability functions
%mp.m and genz.m
%For speed reasons we diminuated accuracy of the computations.
%Please increase the number of samples nbp in genz.m
%and diminuate s in mp.m to improve accuracy.

%These functions need statistical toolbox and were tested 
%under Matlab 5.2


disp('Compute multivariate normal probabilities by two methods: Pearson and Genz.');
disp('A. Genz algorithm is more accurate and more general.');
pause
disp('');
disp('First input covariance matrix');
Sigma =[1 3/5 1/3;3/5 1 11/15; 1/3 11/15 1]
disp('and the integration limits.');
disp('Consider left bound being minus infinity (-3*sigma)...for the Genz algorithm');
a=[-3 -3 -3]
disp('and the right bound');
b=[1 4 2]	

disp('Using K. Pearson algorithm - mp.m the probability is:');

[F]=mp(3,b,[3/5 1/3 11/15])


disp('Using A.Genz algorithm - genz.m the probability is:');

[F]=genz(a,b,Sigma)
