%hydpran is the program for reading and analysis of hydrophobicity profiles/landscape created
%by hydroprof program
%cd 'C:\Biophysics\ANDREY\MODELING\PDB\Data'
cd 'C:\Andrey\Other-\Matlab\PDB\Data'
s=[];
[s,v]=uigetfiles('*.txt','Select a structure file:');
if ~isempty(s)
	HydEn=[];
	MBinsZ=[];
	ProfNames={};
	for m=1:length(s)
		
		%=================Read hydration energy profile file into array
		fh=fopen(s{m},'r');
		
		%fprintf(fh,'%16.14g\t', length(s));fprintf(fh,'%16.14g\n',  length(MBinsZ));
		%t=sscanf(fgets(fh),'%s\t');
		ft=fopen('temptemp.txt','w');	%temporal file
		fprintf(ft,'%c',fgets(fh));	%saves the first line with field names from HE profile file
		fclose(ft);
		tProfNames = textread('temptemp.txt','%s','delimiter','\t');
		if length(ProfNames)==0
			ProfNames={tProfNames{2:end}};
		else
			ProfNames=[ProfNames,{tProfNames{2:end}}];
		end
		delete 'temptemp.txt';
		fclose(fh);
		
		tHydEn=textread(s{m},'%f','delimiter','\n','headerlines',1);
		tHydEn=reshape(tHydEn(1:floor(length(tHydEn)/length(tProfNames))*length(tProfNames)),...
			length(tProfNames),floor(length(tHydEn)/length(tProfNames)))';
		MBinsZ=tHydEn(:,1);	%column with position values
		HydEn=[HydEn,tHydEn(:,2:end)];	%columns with hydrophobicity profiles
		disp([num2str(m),'. ',s{m},':      ',num2str(length(MBinsZ)), '-bins and ', num2str(size(tHydEn,2)-1) ,'-profile(s) file read']);
	end
	HydEn=HydEn';
	
	disp(['Total:      ',num2str(length(MBinsZ)), '-bins and ', num2str(size(HydEn,1)) ,'-profile(s) matrix created']);
	
	%========== Plotting 2-D hydration energy landscape
	if size(HydEn,1) <= 20
		%==========plotting hydration energy profile
		figure
		plot(MBinsZ,HydEn);
	else
		figure
		hp=surfl(MBinsZ,[1:size(HydEn,1)],HydEn);
		colormap('bone');
		shading interp
		set(hp,'EdgeColor','k')
		%light('Position',[ -50 -250 3000 ])
		set(hp,'MeshStyle','row');
		xlabel('Position, A');
		ylabel('PDB srtucture #');
		zlabel('Hydration energy');
		set(gca,'YTick',1:size(HydEn,1));
		set(gca,'YTickLabel',ProfNames);
	end
	
	HydEn=averhstl(HydEn,1,1);
	
		%========== Plotting 2-D hydration energy landscape
	if size(HydEn,1) <= 20
		%==========plotting hydration energy profile
		figure
		plot(MBinsZ,HydEn);
	else
		figure
		hp=surfl(MBinsZ,[1:size(HydEn,1)],HydEn);
		colormap('bone');
		shading interp
		set(hp,'EdgeColor','k')
		%light('Position',[ -50 -250 3000 ])
		set(hp,'MeshStyle','row');
		xlabel('Position, A');
		ylabel('PDB srtucture #');
		zlabel('Hydration energy');
		set(gca,'YTick',1:size(HydEn,1));
		set(gca,'YTickLabel',ProfNames);
	end

	
end


