function [F]=mp(n,h,alpha)

%June 1999 M.Matei  matei@univ-lille1.fr
%LAIL University Lille1 France

%Computes normal multivariate probability by Pearson's algorithm.
%Ref: Probability integrals of multivariate normal and 
%     multivariate t
%     Shanti S. Gupta, 1963
%----------------------------------------------------------------
%     F(h;alpha)=int f(y;alpha) dy
%The dimension is of the integral is n.
%Integration limits are respectively minus infinity and h.
%The function f(y,alpha) is the normal central density with 
%covariance matrix as follows:
%           --------------------------------
%                1     alpha(1,1) alpha(1,2) 
%           alpha(1,1)     1      alpha(1,3)
%           alpha(1,2) alpha(1,3)    1 
%           --------------------------------

 
%change observation sample to improve accuracy
s=0.05;
y=[-3:s:3];   
Fn=[];

for i=1:n
%transformate linear variables

yt=(h(i)-alpha(i)*y)/sqrt(1-alpha(i)^2);  

%Compute simple scalar integrals;
  if i==1
	Fn=normcdf(yt,0,1);
  else
	Fn=normcdf(yt,0,1).*Fn;
  end
end

fy=normpdf(y,0,1);
Ftotal=Fn.*fy;

%Use expression obtained with tetrachoric series expansions (see ref. above)


F=trapz(y,Ftotal);

