function [Xn,Yn,Zn]=nearest_point(a,b,c);
%Function to find the nearest point on the line, defined by first two points, to the third point
Xl=a(1);Yl=a(2);Zl=a(3);
Xh=b(1);Yh=b(2);Zh=b(3);
Xm=c(1);Ym=c(2);Zm=c(3);

%Inputs:
%[Xl,Yl,Zl],[Xh,Yh,Zh]	- coordinates of two points defining the line
%[Xm,Ym,Zm]	- coordinates of points to which we'll look for the nearest point

%Output:
%[Xn,Yn,Zn]	- coordinates of the nearest point on the line

Xn=(Yl^2*Xh-Yh*Yl*Xl+Yl*Ym*Xl-Yh*Yl*Xh-Yl*Ym*Xh+Xm*Xl^2-Zm*Zl*Xh-Zh*Zl*Xh+Zm*Zl*Xl+Zl^2*Xh-...
	Zm*Zh*Xl-Ym*Yh*Xl+Xl*Zh^2+Zm*Zh*Xh+Xm*Xh^2+Yh^2*Xl-Zh*Zl*Xl+Ym*Yh*Xh-2*Xm*Xh*Xl)/...
	(Xh^2-2*Xh*Xl+Xl^2+Yh^2-2*Yh*Yl+Yl^2+Zh^2-2*Zh*Zl+Zl^2);

Yn=(-Xl*Yh*Xh+Xl^2*Yh+Yl*Xh^2-Yl*Xh*Xl+Xm*Yh*Xh-Xm*Yh*Xl-Xm*Yl*Xh+Xm*Yl*Xl+Ym*Yh^2-2*Ym*Yh*Yl+...
	Ym*Yl^2-Zl*Yh*Zh+Zl^2*Yh+Yl*Zh^2-Yl*Zh*Zl+Zm*Yh*Zh-Zm*Yh*Zl-Zm*Yl*Zh+Zm*Yl*Zl)/...
	(Xh^2-2*Xh*Xl+Xl^2+Yh^2-2*Yh*Yl+Yl^2+Zh^2-2*Zh*Zl+Zl^2);

Zn=-(-Yl^2*Zh+Yh*Yl*Zl-Yl*Ym*Zl+Yl*Ym*Zh+Yh*Yl*Zh-Zl*Xh^2-Xl^2*Zh-Zm*Zl^2+Xh*Xl*Zl-Xm*Xl*Zl-...
	Yh^2*Zl-Zm*Zh^2+Ym*Yh*Zl+Xm*Xl*Zh-Ym*Yh*Zh+Xh*Xl*Zh+Xm*Xh*Zl+2*Zm*Zl*Zh-Xm*Xh*Zh)/...
	(Xh^2-2*Xh*Xl+Xl^2+Yh^2-2*Yh*Yl+Yl^2+Zh^2-2*Zh*Zl+Zl^2);