function varargout = o_volmcomb(varargin)
% o_volmcomb Application M-file for o_volmcomb.fig
%    FIG = o_volmcomb launch o_volmcomb GUI.
%    o_volmcomb('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 25-Feb-2005 21:36:23

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Generate a structure of handles to pass to callbacks, and store it. 
	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.





% --- Executes during object creation, after setting all properties.
function o_Symmetry_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_Symmetry (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end







% --------------------------------------------------------------------
function varargout = o_FileListSync_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_FileListSync.
%disp('o_FileListSync Callback not implemented yet.')
global mbh oph
s=get(findobj(mbh,'Tag','m_FileList'),'String');	%
v=get(findobj(mbh,'Tag','m_FileList'),'Value');
l=length(s);
WeightInfo=get(findobj(oph,'Tag','o_WeightInfo'),'String');
if min(double(WeightInfo))>=48&max(double(WeightInfo))<=57  %This is mumeric value
    WeightInfo=eval(WeightInfo);
else
    WeightInfo=1;
end
    
for i=1:l
    s{i}=WeightInfo;
end
set(findobj(oph,'Tag','o_WeightInfo'),'String',s{v});
set(findobj(oph,'Tag','o_WeightList'),'String',s);
set(findobj(oph,'Tag','o_WeightList'),'Value',v);



% --------------------------------------------------------------------
function varargout = o_WeightList_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.m_WeightList.
%disp('m_WeightList Callback not implemented yet.')
global mbh oph
sf=get(findobj(mbh,'Tag','m_FileList'),'String');	%
s=get(findobj(oph,'Tag','o_WeightList'),'String');	%
v=get(findobj(oph,'Tag','o_WeightList'),'Value');
set(findobj(oph,'Tag','o_WeightInfo'),'String',s{v});
set(findobj(mbh,'Tag','m_FileList'),'Value',v);
set(findobj(mbh,'Tag','m_FileInfo'),'String',sf{v});


% --------------------------------------------------------------------
function varargout = o_WeightInfo_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_WeightInfo.
%disp('o_WeightInfo Callback not implemented yet.')
global mbh oph
s=get(findobj(oph,'Tag','o_WeightList'),'String');	%
v=get(findobj(oph,'Tag','o_WeightList'),'Value');

s{v}=get(findobj(oph,'Tag','o_WeightInfo'),'String');	%
set(findobj(oph,'Tag','o_WeightList'),'String',s);


% --- Executes on button press in o_ZIPoutput.
function o_ZIPoutput_Callback(hObject, eventdata, handles)
% hObject    handle to o_ZIPoutput (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_ZIPoutput


