function varargout = o_volmcros(varargin)
% o_volmcros Application M-file for o_volmcros.fig
%    FIG = o_volmcros launch o_volmcros GUI.
%    o_volmcros('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 25-Feb-2005 21:38:21
%     set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');
	% Generate a structure of handles to pass to callbacks, and store it. 	fig = openfig(mfilename,'reuse');
	set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));
	handles = guihandles(fig);
	guidata(fig, handles);
	

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = o_PlotProf_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotProf.


% --------------------------------------------------------------------
function varargout = o_PlotLand_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotLand.




% --------------------------------------------------------------------
function varargout = o_AverMode_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AverMode.
%0.16 0.15 0.12 0.08 0.04 0.02 0.01
global oph
switch get(findobj(oph,'Tag','o_AverMode'),'Value')	%Averaging mode
case 1	%'Mean of ... neighbors'
	set(findobj(oph,'Tag','o_AverNeighb'),'String','1');	%Averaging among ... neighbors
case 2	%'A-shaped mean of ... neighbors'
	set(findobj(oph,'Tag','o_AverNeighb'),'String','2');	%Averaging among ... neighbors
case 3	%'Profile of neighbor bins with coefficients ... (from center to edge)'
	set(findobj(oph,'Tag','o_AverNeighb'),'String','0.16 0.15 0.12 0.08 0.04 0.02 0.01');	%Averaging among ... neighbors
case 4	%'Normal distribution with standard deviation of ... A'
	set(findobj(oph,'Tag','o_AverNeighb'),'String','2');	%Averaging among ... neighbors
end

% --------------------------------------------------------------------
function varargout = o_AverNeighb_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AverNeighb.

% --------------------------------------------------------------------
function varargout = o_AverOutside_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_AverNeighb.



% --------------------------------------------------------------------
function varargout = checkbox10_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox10.


% --------------------------------------------------------------------
function varargout = checkbox11_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox11.


% --------------------------------------------------------------------
function varargout = checkbox12_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox12.

% --------------------------------------------------------------------
function varargout = checkbox13_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.checkbox13.


% --------------------------------------------------------------------
function varargout = o_CrosNormal_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_CrosNormal.


% --------------------------------------------------------------------
function varargout = o_CalcMethod_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_CalcMethod.


% --------------------------------------------------------------------
function varargout = popupmenu9_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.popupmenu9.


% --------------------------------------------------------------------
function varargout = o_FileListLoad_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_FileListLoad.
global oph SrcDir DestDir
FileType=get(findobj(oph,'Tag','o_VDWFileType'),'Value');
s=[];
switch FileType
case 1	%PDB
    ft='*.pdb';
case 2	%TXT column
    ft='*.txt';
case 3	%PSF
    ft='*.psf';
otherwise
    ft='*.*';
end
[s,v]=uigetfiles(ft,'Select a data file:');
 SrcDir=v;
if ~isempty(s)
    cd(v);
    set(findobj(oph,'Tag','o_FileInfo'),'String',s{1});
%     set(findobj(oph,'Tag','m_FileList'),'Value',1);
%     set(findobj(oph,'Tag','m_FileList'),'String',s);
end



% --------------------------------------------------------------------
function varargout = o_PlotCrosPerim_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PlotCrosPerim.


% --------------------------------------------------------------------
function varargout = o_SaveCrosPerim_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_SaveCrosPerim.



% --------------------------------------------------------------------
function varargout = o_PrintCrosContr_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosContr.
%disp('o_PrintCrosContr Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintSurf_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintSurf.
%disp('o_PrintSurf Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintCrosAreas_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosAreas.
%disp('o_PrintCrosAreas Callback not implemented yet.')


% --------------------------------------------------------------------
function varargout = o_PrintCrosRadii_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_PrintCrosRadii.
%disp('o_PrintCrosRadii Callback not implemented yet.')


% --- Executes during object creation, after setting all properties.
function o_SortMethod_CreateFcn(hObject, eventdata, handles)
% hObject    handle to o_SortMethod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end


% --- Executes on selection change in o_SortMethod.
function o_SortMethod_Callback(hObject, eventdata, handles)
% hObject    handle to o_SortMethod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns o_SortMethod contents as cell array
%        contents{get(hObject,'Value')} returns selected item from o_SortMethod


% --- Executes on button press in o_ZIPoutput.
function o_ZIPoutput_Callback(hObject, eventdata, handles)
% hObject    handle to o_ZIPoutput (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of o_ZIPoutput


