function c=str_2cell(a,d);
%Function converting string "a" with some delimiter "d" to the cell array
%Inputs:
%a	- string
%d	- delimiter (space default)

%Output:
%c	- cell array

if nargin==1
	d=' ';
end

if length(a)==0	%empty string
	c={a};
else	%non-empty string
	b=[0 find(a==d)]; 	%positions of all delimiters plus zero position
	if b==0	%There are no delimiters
		c={a};
	else	%There are some delimiters
		for i=1:(length(b)-1)	%For all the pieces except last
			c{i}={a((b(i)+1):(b(i+1)-1))};	%read text between delimiters to the cell
		end
		c{end+1}={a((b(end)+1):end)};
	end
end