function 		volmcomb(s,CombMode,WeightList,ZIPoutput);	%Function to combine and average or rescale volumetric data arrays

dbstop if error

%	inputs:
%s	- initial files list
% CombMode=get(findobj(oph,'Tag','o_CombMode'),'Value');	%Mode of volumetric matrixes combining
% WeightList=get(findobj(oph,'Tag','o_WeightList'),'String');	%List of weights for each file for combining

if ~isempty(s)
    ProgressBarGlobal(0,length(s));%Set current value on the global progress bar
    ProgressBarLocal(0,100);%Set current value on the global progress bar
    FinalVolmData=[];   %result of combining
    for m=1:length(s)	%Cycle through the input files
        TempZipFileName=unzip_AGA(s{m});  %Temporary Unzip file, if necesary
        load('-MAT',s{m}); %load the file containing volumetric density data in fields VolmData vMBinsX vMBinsY vMBinsZ. These variables will be created in the workspace
        unzip_AGA(s{m},TempZipFileName);  %Remove Temporary Unzip file, if necesary
        %parameters to Convert surface coordinates from volumetric data to their real values
        ProgressBarGlobal((m-1+0.4),length(s));%Set current value on the global progress bar
        ProgressBarFile(m);
        
        if length(FinalVolmData)==0
            switch CombMode
            case {1,2}	%"average" or "add" combining mode
                Weight(m)=eval(WeightList{m});
                FinalVolmData=VolmData*Weight(m);
            case 3  %'Divide second by first'
                VolmData(find(VolmData==0))=Inf;  %Replace all zero data to infinity
                FinalVolmData=VolmData;  %
            end
        else
            switch CombMode
            case {1,2}	%"average" or "add" combining mode
                Weight(m)=eval(WeightList{m});
                FinalVolmData=FinalVolmData+VolmData*Weight(m);	%Adding new data. Dividing by the number of files added to normalize probability
            case 3  %'Divide second by first'
                FinalVolmData=VolmData./FinalVolmData;	%dividing second data by first data 
                FinalVolmData(FinalVolmData==Inf|isnan(FinalVolmData))=0;
            end
        end
        
        SndNp(2);
        POINT=[];	%Clearing POINT array
        ProgressBarGlobal((m),length(s));%Set current value on the global progress bar
    end	%========================Cycle through the input files
    
    switch CombMode
    case 1	%"average" combining mode
        VolmData=FinalVolmData/sum(Weight);
    case 2	%"add" combining mode
        VolmData=FinalVolmData;
    case 3  %'Divide second by first'
        VolmData=FinalVolmData;
    end
    %clc=clock; clc=[sprintf('%02.0f',clc(4)),'h',sprintf('%02.0f',clc(5)),'m',sprintf('%02.0f',clc(6)),'s'];
	saveFileName=['Average_of_',num2str(length(s)),'_files_',s{1},'_vol.mat'];
    tstr=['save ''',saveFileName,''' VolmData vMBinsX vMBinsY vMBinsZ;'];
    eval(tstr);
	if ZIPoutput==1
		zip([saveFileName,'.zip'],saveFileName);
		delete(saveFileName);
	end
    
    SndNp(3);
    disp('Finished');
    
end	%End of calculation in case there are some files


